### php.java.bridge

# Interface Invocable

Known Subinterfaces:
  IPhpScriptContext

Known Implementing Classes:
  Context, Context, PhpFacesScriptContext, PhpScriptContext, PhpSimpleHttpScriptContext

`public interface Invocable`

Classes which implement this interface are able to call php code. Invocable PHP scripts must end with the line:
`java_context()->call(java_closure());`

Author:
  jostb

See Also:
  `PhpProcedureProxy.getProxy(Class[])`, `PhpProcedure.invoke(Object,String,Object[])`, `PhpProcedure.invoke(Object,Method,Object[])`

## Method Summary

`boolean`

`call(PhpProcedureProxy kont)`
  Call the java continuation with the current continuation `kont` as its argument.

## Method Details

### call

    public boolean call(PhpProcedureProxy kont)
                throws java.lang.Exception

> Call the java continuation with the current continuation `kont` as its argument.

> Parameters:
>   `kont` - The continuation.

> Returns:
>   True on success, false otherwise.

> Throws:
>   `java.lang.Exception` -